## python-shapely 1.8.3

=== debian/changelog ===
python-shapely (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop geos3.11.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Aug 2022 05:21:13 +0200

python-shapely (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update GitHub URLs for repo move.
  * Refresh patches.
  * Add upstream patch to fix test failure with GEOS 3.11.0.
    (closes: #1015067)
  * Update watch file to ignore post, dev, and alpha releases.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Jul 2022 17:06:13 +0200

## python-shapely 1.8.4

=== debian/changelog ===
python-shapely (1.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2022 05:21:58 +0200

=== debian/control ===
Source: python-shapely
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Pietro Battiston <me@pietrobattiston.it>,
           Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libgeos-dev (>= 3.3.0),
               python3-all,
               python3-all-dev,
               python3-descartes,
               python3-matplotlib,
               python3-numpy,
               python3-pytest,
               python3-setuptools,
               cython3
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
Homepage: https://github.com/shapely/shapely

Package: python3-shapely
Architecture: any
Depends: python3,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python3-numpy,
          python3-matplotlib
Enhances: python3-numpy
Description: geometric objects, predicates, and operations (Python 3)
 Shapely is a package for manipulation and analysis of 2D features.
 Its capabilities include:
  * calculating the point set unions, intersections, or differences of features
  * predicate tests on features: intersects, touches, contains, and more.
 .
 Supported geometric types are points, line strings, linear rings, polygons, and
 homogeneous or heterogeneous collections thereof.
 .
 This is the Python 3 version of the package.

## python-shapely 1.8.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* build/plot_directive/*

html: apidocs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: apidocs
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Shapely.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Shapely.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidocs:
	sphinx-apidoc -f -s txt -o . ../shapely
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
python-shapely (1.8.5-2) unstable; urgency=medium

  * Drop python3-descartes from build dependencies.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 17:45:30 +0100

python-shapely (1.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Oct 2022 05:42:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libgeos-dev (>= 3.3.0),
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
-               python3-descartes,
                python3-matplotlib,
                python3-numpy,
                python3-pytest,
@@ -19,6 +19,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: https://github.com/shapely/shapely
+Rules-Requires-Root: no
 
 Package: python3-shapely
 Architecture: any

## python-shapely 2.0~rc3

=== debian/changelog ===
python-shapely (2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop versioneer.patch, applied upstream.
  * Include FAQ in docs.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Dec 2022 11:40:54 +0100

python-shapely (2.0~rc2-1~exp2) experimental; urgency=medium

  * Add patch to fix versioneer configuration.
  * Drop obsolete dh_clean override.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Dec 2022 10:36:54 +0100

python-shapely (2.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Dec 2022 18:19:27 +0100

python-shapely (2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop python3-descartes from build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Nov 2022 06:43:25 +0100

python-shapely (2.0~b2-1~exp1) experimental; urgency=medium

  * New upstream beta release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Oct 2022 13:53:30 +0200

python-shapely (2.0~b1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Oct 2022 17:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                cython3
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git -b experimental
 Homepage: https://github.com/shapely/shapely
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=shapely
export LC_ALL=C.UTF-8

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel s390x hppa ppc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

override_dh_python3:
	dh_python3 -ppython3-shapely
	dh_numpy3 -ppython3-shapely

## python-shapely 2.0.1

=== debian/changelog ===
python-shapely (2.0.1-2) unstable; urgency=medium

  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Add patch to fix FTBFS with GEOS 3.12.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jul 2023 20:03:16 +0200

python-shapely (2.0.1-1) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2023 20:45:09 +0200

python-shapely (2.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 08:25:04 +0100

python-shapely (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Dec 2022 08:50:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libgeos-dev (>= 3.3.0),
                pybuild-plugin-pyproject,
@@ -15,20 +15,19 @@
                python3-pytest,
                python3-setuptools,
                cython3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: https://github.com/shapely/shapely
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-shapely
 Architecture: any
-Depends: python3,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Suggests: python3-numpy,
-          python3-matplotlib
+Suggests: python3-matplotlib
 Enhances: python3-numpy
 Description: geometric objects, predicates, and operations (Python 3)
  Shapely is a package for manipulation and analysis of 2D features.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -23,7 +23,3 @@
 	dh_auto_test
 endif
 endif
-
-override_dh_python3:
-	dh_python3 -ppython3-shapely
-	dh_numpy3 -ppython3-shapely

## python-shapely 2.0.3

=== debian/changelog ===
python-shapely (2.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:56 +1100

python-shapely (2.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libgeos-c1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:56:52 +0000

python-shapely (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Feb 2024 20:16:09 +0100

python-shapely (2.0.2-2) unstable; urgency=medium

  * Fix autopkgtest failure.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Oct 2023 08:50:19 +0200

python-shapely (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Only ignore test failures on mips*el.
  * Remove generated files in clean target.
    (closes: #1046359)
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Oct 2023 06:40:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: python-shapely
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Pietro Battiston <me@pietrobattiston.it>,
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                libgeos-dev (>= 3.3.0),
                pybuild-plugin-pyproject,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=shapely
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_TEST_ARGS=-vv --pyargs ${PYBUILD_NAME}
endif

export LC_ALL=C.UTF-8

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

## python-shapely 2.0.4

=== docs/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf $(BUILDDIR)/* build/plot_directive/*
+	-rm -rf $(BUILDDIR)/* build/plot_directive/* reference/* _reference.rst
 
-html: apidocs
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+html:
+	$(SPHINXBUILD) -n -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -50,7 +50,7 @@
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
-htmlhelp: apidocs
+htmlhelp:
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
@@ -87,9 +87,3 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
-
-apidocs:
-	sphinx-apidoc -f -s txt -o . ../shapely
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
-

=== debian/changelog ===
python-shapely (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Apr 2024 05:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-shapely
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Pietro Battiston <me@pietrobattiston.it>,
            Bas Couwenberg <sebastic@debian.org>
 Section: python

## python-shapely 2.0.5

=== debian/changelog ===
python-shapely (2.0.5-2) unstable; urgency=medium

  * Use -Wno-error=incompatible-pointer-types to fix FTBFS with GCC 14.
    (closes: #1075423)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jul 2024 19:56:01 +0200

python-shapely (2.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2024 07:22:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export DEB_CFLAGS_MAINT_APPEND=-Wno-error=incompatible-pointer-types
 
 export PYBUILD_NAME=shapely
 ifeq ($(PYBUILD_AUTOPKGTEST),1)

## python-shapely 2.0.6

=== debian/changelog ===
python-shapely (2.0.6-4build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:56 +0100

python-shapely (2.0.6-4) unstable; urgency=medium

  * Update GEOS 3.13.0 patch to fix another test.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2024 16:03:45 +0200

python-shapely (2.0.6-3) unstable; urgency=medium

  * Add patch to fix test failures with GEOS 3.13.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2024 06:42:35 +0200

python-shapely (2.0.6-2) unstable; urgency=medium

  * No-change rebuild with GEOS 3.13.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2024 16:42:18 +0200

python-shapely (2.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Aug 2024 08:21:10 +0200

## python-shapely 2.0.7

=== debian/changelog ===
python-shapely (2.0.7-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:23:54 +0000

python-shapely (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Ignore test failures on hppa.
    (closes: #1092264)
  * Update copyright file.
  * Drop geos-3.13.0.patch, fixed upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jan 2025 06:31:39 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-pytest,
                python3-setuptools,
                cython3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: https://github.com/shapely/shapely

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el mipsel))
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el hppa))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test

## python-shapely 2.1.0

=== debian/changelog ===
python-shapely (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Apr 2025 15:00:18 +0200

python-shapely (2.1.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update required GEOS version.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Mar 2025 05:33:46 +0100

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/.+\/v?(\d\S*)\.(tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)/Shapely-$1\.$2/ \
https://github.com/shapely/shapely/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|shapely)?[\-\_]?(\d\S*(?<!post\d)(?<!dev\d)(?<!a\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-shapely 2.1.1

=== debian/changelog ===
python-shapely (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 May 2025 15:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
-               libgeos-dev (>= 3.3.0),
+               libgeos-dev (>= 3.9.0),
                pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
@@ -17,9 +17,9 @@
                python3-pytest,
                python3-setuptools,
                cython3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git -b experimental
 Homepage: https://github.com/shapely/shapely
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

## python-shapely 2.1.2

=== debian/changelog ===
python-shapely (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop geos-3.14.0.patch, fixed upstream.
  * Enable verbose pytest output.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Sep 2025 18:25:00 +0200

python-shapely (2.1.1-3) unstable; urgency=medium

  * Update geos-3.14.0.patch to fix another test failure.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Aug 2025 06:08:45 +0200

python-shapely (2.1.1-2) unstable; urgency=medium

  * Add patch to fix FTBFS with GEOS 3.14.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Aug 2025 13:12:43 +0200

python-shapely (2.1.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 08:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                cython3
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-shapely
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-shapely.git
 Homepage: https://github.com/shapely/shapely
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 export PYBUILD_NAME=shapely
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
 export PYBUILD_TEST_ARGS=-vv --pyargs ${PYBUILD_NAME}
+else
+export PYBUILD_TEST_ARGS=-vv
 endif
 
 export LC_ALL=C.UTF-8
@@ -23,7 +25,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el hppa))
+ifneq (,$(filter $(DEB_BUILD_ARCH),hppa))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
